package it.micegroup.gestioneferie.pianificazioneferie.criteria;

import java.io.Serializable;
import javax.persistence.Embeddable;

import it.micegroup.voila2runtime.filter.StringFilter;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DesitiRichAdesionePfCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 4149647883L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdEsitoRichAdesionePf;

	private LongFilter fkAmministrato;

	private LongFilter fkRichAdesionePf;

	private LongFilter fkStatoRichAdesione;

	private StringFilter flagEliminato;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataUltimaModifica;

	private LocalDateFilter dataInizioRecord;

	private LocalDateFilter dataFineRecord;

	// FILTER FATHER
	private String theDstatiAdesionePfObjectKey;
	private String theDrichAdesionePfObjectKey;

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdEsitoRichAdesionePf
	 */
	public LongFilter getSequIdEsitoRichAdesionePf() {
		return this.sequIdEsitoRichAdesionePf;
	}

	/**
	 * @param sequIdEsitoRichAdesionePf to set
	 */
	public void setSequIdEsitoRichAdesionePf(LongFilter sequIdEsitoRichAdesionePf) {
		this.sequIdEsitoRichAdesionePf = sequIdEsitoRichAdesionePf;
	}

	/**
	 * @return the fkAmministrato
	 */
	public LongFilter getFkAmministrato() {
		return this.fkAmministrato;
	}

	/**
	 * @param fkAmministrato to set
	 */
	public void setFkAmministrato(LongFilter fkAmministrato) {
		this.fkAmministrato = fkAmministrato;
	}

	/**
	 * @return the fkRichAdesionePf
	 */
	public LongFilter getFkRichAdesionePf() {
		return this.fkRichAdesionePf;
	}

	/**
	 * @param fkRichAdesionePf to set
	 */
	public void setFkRichAdesionePf(LongFilter fkRichAdesionePf) {
		this.fkRichAdesionePf = fkRichAdesionePf;
	}

	/**
	 * @return the fkStatoRichAdesione
	 */
	public LongFilter getFkStatoRichAdesione() {
		return this.fkStatoRichAdesione;
	}

	/**
	 * @param fkStatoRichAdesione to set
	 */
	public void setFkStatoRichAdesione(LongFilter fkStatoRichAdesione) {
		this.fkStatoRichAdesione = fkStatoRichAdesione;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	// GETTER/SETTER FATHER

	public String getTheDstatiAdesionePfObjectKey() {
		return theDstatiAdesionePfObjectKey;
	}

	public void setTheDstatiAdesionePfObjectKey(String theDstatiAdesionePfObjectKey) {
		this.theDstatiAdesionePfObjectKey = theDstatiAdesionePfObjectKey;
	}

	public String getTheDrichAdesionePfObjectKey() {
		return theDrichAdesionePfObjectKey;
	}

	public void setTheDrichAdesionePfObjectKey(String theDrichAdesionePfObjectKey) {
		this.theDrichAdesionePfObjectKey = theDrichAdesionePfObjectKey;
	}

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
